Qt 5.11.1 Release, see also http://blog.qt.io/blog/2018/05/22/qt-5-11-released/ and http://blog.qt.io/blog/2018/06/19/qt-5-11-1-released/


The new version of ugene introduces a lot of major features for NGS data analysis:

  1. Quality control: a new tool Trimmomatic was integrated for quality control of NGS reads. It allows one to cut Illumina adapters, trim reads ends by quality, trim reads by length, etc.

  2. De novo assembly: SPAdes was updated to version 3.12.0. Graphical interface for the tool in UGENE was updated. It is now possible to input hybrid data, for example, assemble Illumina and Oxford Nanopore reads.

  3. Metagenomics: a new infrastructure for taxonomy classification of whole-genome shotgun sequencing data was developed. This includes tools Kraken, CLARK, DIAMOND, WEVOTE and other. Reference data for the tools are also provided: NCBI taxonomy information; RefSeq data for viruses, bacteria, human; etc.

  4. Transcriptomics: a new tool StringTie was integrated.

Logout Required
After installing this update it is required that you logout of your current user session and log back in to ensure the changes supplied by this update are applied properly.

How to install

sudo dnf upgrade --advisory=FEDORA-2018-bea1e0b465
This update has been submitted for testing by rdieter. a year ago
This update has obsoleted [ugene-1.31.0-2.fc28](https://bodhi.fedoraproject.org/updates/FEDORA-2018-80bb15c1c5), and has inherited its bugs and notes. a year ago
rdieter edited this update. a year ago
This update has been pushed to testing. a year ago
rdieter edited this update. a year ago
User Icon hreindl commented & provided feedback a year ago
karma

works for me

User Icon g6avk commented & provided feedback a year ago
karma

Works for me..

User Icon besser82 commented & provided feedback a year ago
karma

Works great! LGTM! =)

User Icon cserpentis commented & provided feedback a year ago
karma

works for me

rdieter edited this update. New build(s): - gsettings-qt-0-0.11.20170715bzr83.fc28.2 Removed build(s): - gsettings-qt-0-0.8.20170715bzr83.fc28.1 Karma has been reset. a year ago
This update has been submitted for testing by rdieter. a year ago
User Icon kkofler commented & provided feedback a year ago
karma

This update breaks QtWebEngine on a large set of machines on a primary architecture (all ARM machines without NEON) because the skia-neon patch is missing. It additionally also breaks QtWebEngine on a large set of machines on a secondary architecture (all i686 machines without SSE2) because the no-sse2 patch is missing. The no-sse2 patch is definitely hard to port, the skia-neon patch probably not that much. I never approved this version for anything other than Rawhide.

In addition, the QtWebEngine security fixes are not documented in the update's description and the update is not marked as a security update.

User Icon anonymous commented & provided feedback a year ago

This prevents cura-lulzbot from starting.

karma: -1

This update has been pushed to testing. a year ago
User Icon lobocode commented & provided feedback a year ago
karma

works

rdieter edited this update. New build(s): - python-qt5-5.10.1-4.fc28 Removed build(s): - python-qt5-5.10.1-3.fc28 Karma has been reset. a year ago
This update has been submitted for testing by rdieter. a year ago
User Icon mattf commented & provided feedback a year ago
karma

Plasma, Dolphin, Konsole, Ksysguard and others are running fine with Qt 5.11.1. Ksysguard's process table columns and sorting are retained when restarting it which wasn't happening with Qt 5.10.1.

BZ#1591984 print dialog "advanced tab" missing in qt5/kf5 based applications
BZ#1611166 systemmonitor, ksysguard - failed apply last configuration
User Icon jgrulich commented & provided feedback a year ago
karma

Works for me.

jgrulich edited this update. New build(s): - xdg-desktop-portal-kde-5.13.4-3.fc28 Removed build(s): - xdg-desktop-portal-kde-5.13.4-2.fc28 Karma has been reset. a year ago
User Icon mattf commented & provided feedback a year ago
karma

The dnf error I got when trying to update to pipewire-0.2.3-1 due to xdg-desktop-portal-kde-5.13.4-2's missing requirement of libspa-lib.so.1 was resolved after I updated to xdg-desktop-portal-kde-5.13.4-3 from Koji. https://bodhi.fedoraproject.org/updates/FEDORA-2018-973e14809c

BZ#1591984 print dialog "advanced tab" missing in qt5/kf5 based applications
BZ#1611166 systemmonitor, ksysguard - failed apply last configuration
This update has been pushed to testing. a year ago
User Icon xvitaly commented & provided feedback a year ago
karma

Updating Qt to new major version in stable Fedora release is not good because it breaks all applications using Qt Private API (for example Telegram Desktop).

User Icon churchyard commented & provided feedback a year ago

To my knowledge, this is very much discouraged in https://fedoraproject.org/wiki/Updates_Policy

This breaks ABI and apparently also breaks other packages. Setting the unstable threshold to -8 is also a bit optimistic.

User Icon pwalter commented & provided feedback a year ago
karma

Not suitable for a stable release. Breaks third party apps that use changed symbols.

rdieter edited this update. a year ago
User Icon rdieter commented & provided feedback a year ago

kde-sig understands and accepts that private api is an issue, and that all fedora software that uses private api has been rebuilt and included in this update (save one, that's still FTBFS).

Qt's private api is not something we can support, so if third party software uses those, it's (mostly) on them and not (primarily) our responsibility.

User Icon vascom commented & provided feedback a year ago
karma

Not work paste from buffer by click on mouse scroll between applications.

User Icon nerijus commented & provided feedback a year ago
karma

package hedgewars-0.9.24.1-1.fc28.x86_64 requires libQt5Core.so.5(Qt_5.10.1_PRIVATE_API)(64bit), but none of the providers can be installed

User Icon hreindl commented & provided feedback a year ago

@vascom the opposite is true here! the first time since 3 years after KDE5 was thrown to us i can select and paste without replace the real clipboard with the selected text which made it terrible to work as software developer when the text you want to replace with CTRL+V replaces the clipboard instead

jgrulich edited this update. New build(s): - xdg-desktop-portal-kde-5.13.4-4.fc28 Removed build(s): - xdg-desktop-portal-kde-5.13.4-3.fc28 Karma has been reset. a year ago
This update has been submitted for testing by jgrulich. a year ago
jgrulich edited this update. New build(s): - xdg-desktop-portal-kde-5.13.4-4.fc28 Removed build(s): - xdg-desktop-portal-kde-5.13.4-3.fc28 Karma has been reset. a year ago
This update has been submitted for testing by jgrulich. a year ago
User Icon vascom commented & provided feedback a year ago

unstable threshold: -16 It is serious?

User Icon xvitaly provided feedback a year ago
karma
User Icon hreindl commented & provided feedback a year ago

@xvitaly stop giving negative karma because something outside the Fedora repos is using private API's without understanding the word private - Fedora does QT updates virtually forever

User Icon xvitaly commented & provided feedback a year ago

@hreindl No. I will not. Maintainers are cheating. After receiving lots of negative carma they reset it by rebuilding one of packages and even set unstable treshold to -16. This is not fair. I will report this issue to FESCo.

User Icon rdieter commented & provided feedback a year ago

If it matters, kde-sig does not generally use autokarma for larger updates. We greatly prefer to closely review all feeeback to allow us to decide what is best. I set a generally unreasonable value for unstable karma to avoid the possibility of this update being set to obsolete without our diligent input and review first.

User Icon anonymous commented & provided feedback a year ago

Seems good.

karma: +1

BZ#1584240 Qt 5.11 Tracker
User Icon ngompa commented & provided feedback a year ago
karma

Works okay for me.

BZ#1584240 Qt 5.11 Tracker
BZ#1591984 print dialog "advanced tab" missing in qt5/kf5 based applications
BZ#1611166 systemmonitor, ksysguard - failed apply last configuration
User Icon rdieter commented & provided feedback a year ago

Wrt hedgewars issue mentioned, I filed a bug, https://bugzilla.redhat.com/show_bug.cgi?id=1625239 and pull request to address it, https://src.fedoraproject.org/rpms/hedgewars/pull-request/2

User Icon nerijus provided feedback a year ago
karma
BZ#1584240 Qt 5.11 Tracker
User Icon mattf commented & provided feedback a year ago

Parts of kalzium's interface haven't been showing up after I updated to Qt 5.11.1 which all appeared correctly when I was using 5.10.1. I filed the following bugzilla entry about the kalzium issues to inform its maintainers in more detail. https://bugzilla.redhat.com/show_bug.cgi?id=1625282

rdieter edited this update. New build(s): - hedgewars-0.9.24.1-3.fc28 Karma has been reset. a year ago
User Icon filiperosset commented & provided feedback a year ago
karma

no regressions noted

User Icon mattf commented & provided feedback a year ago

The issue with kalzium's interface I referred to was still present after I downgraded to Qt 5.10.1, and so the problem is most likely not in Qt 5.11.1 but maybe in some other package such as in kf5*5.48.

User Icon serverhamster commented & provided feedback a year ago
karma

This fixes adding or removing columns in Kmail.

BZ#1584240 Qt 5.11 Tracker
BZ#1611166 systemmonitor, ksysguard - failed apply last configuration
User Icon xvitaly commented & provided feedback a year ago
karma

Issue with Telegram now resolved.

BZ#1584240 Qt 5.11 Tracker
User Icon mattf commented & provided feedback a year ago
karma

The issue I mentioned with kalzium was caused by unintentionally abnormal configuration settings in ~/.config/kalziumrc and is now resolved; that problem was unrelated to the Qt 5.11.1 or kf5 5.48 updates. A user has reported the same dnf error I saw after pipewire-0.2.3 was pushed to stable, so a way to get xdg-desktop-portal-kde-5.13.4-4 into stable more quickly than the rest of this update might be advisable.

BZ#1591984 print dialog "advanced tab" missing in qt5/kf5 based applications
BZ#1611166 systemmonitor, ksysguard - failed apply last configuration
User Icon mattf commented & provided feedback a year ago

xdg-desktop-portal-kde-5.13.4-4 depends on libQt5Core.so.5(Qt_5.11) so moving xdg-desktop-portal-kde-5.13.4-4 to stable without the rest of this update would just lead to other dnf errors. I don't know how to get around that other than a rebuild of xdg-desktop-portal-kde-5.13.4 with Qt 5.10.1.

User Icon churchyard commented & provided feedback a year ago

This prevents cura-lulzbot from starting.

Anyone able to confirm that and open a bug? I don't have a Fedora 28 workstation at hand.

User Icon mattf commented & provided feedback a year ago

Of course those using just the updates repo could skip the pipewire-0.2.3 update or just enable updates testing to upgrade to it and xdg-desktop-portal-kde-5.13.4-4. I'm sorry about the mixup.

User Icon mattf commented & provided feedback a year ago

I installed cura-lulzbot on F28. cura-lulzbot started without problems after about 3 minutes, and its interface functioned fine. I don't have a 3d printer to test cura-lulzbot with.

This update has been pushed to testing. a year ago
This update has been pushed to testing. a year ago
User Icon robbinespu commented & provided feedback a year ago
karma

breaking telegram desktop

User Icon churchyard commented & provided feedback a year ago

@mattf Thank you!

User Icon phantomx commented & provided feedback a year ago
karma

Good.

BZ#1584240 Qt 5.11 Tracker
User Icon rdieter commented & provided feedback a year ago

@robbinespu

Report that to telegram-desktop maintainer(s) (it's not part of fedora), they'll need to rebuild it.

User Icon anonymous commented & provided feedback a year ago

Latest version of this update seems to fix cura-lulzbot.

karma: +1

User Icon mhayden commented & provided feedback a year ago
karma

Working for me.

User Icon mattf commented & provided feedback a year ago
karma

The Fedora Updates Policy mentions that KDE SIG was given an exception for stable releases https://fedoraproject.org/wiki/Updates_Policy Standard support for the Qt 5.10 branch ends on October 30, 2018, while the 5.11 branch is supported for a year after its release on May 22 according to https://en.wikipedia.org/wiki/Qt_version_history

The dnf error I mentioned with pipewire-0.2.3 and xdg-desktop-portal-kde-5.13.4-2 has been reported by a few others https://bugzilla.redhat.com/show_bug.cgi?id=1626133 https://bugzilla.redhat.com/show_bug.cgi?id=1626823 https://bodhi.fedoraproject.org/updates/FEDORA-2018-973e14809c

BZ#1591984 print dialog "advanced tab" missing in qt5/kf5 based applications
BZ#1611166 systemmonitor, ksysguard - failed apply last configuration
rdieter edited this update. a year ago
This update has been submitted for batched by rdieter. a year ago
This update has been submitted for stable by bodhi. a year ago
This update has been pushed to stable. a year ago
User Icon samoht0 commented & provided feedback a year ago

@xvitaly Is there any solution for Telegram Desktop in sight? (As you're aware of the problem, I didn't open a rpmfusion bug.)

User Icon nerijus commented & provided feedback a year ago
karma

@samoht0 I've just rebuilt telegram-desktop package and it works. Yes, please open an rpmfusion bug if it is not opened.

User Icon xvitaly commented & provided feedback a year ago

@samoht0 Fixed version already in RPM Fusion Koji. Tomorrow it will be pushed to stable repositories.

User Icon samoht0 commented & provided feedback a year ago

@xvitaly Thanks for your efforts.

@nerijus Ah, good news. As xvitaly maintains the package I considered it unnecessary to set an extra reminder in bugzilla (if not explicitly requested)...


Please login to add feedback.

Metadata
Type
enhancement
Severity
medium
Karma
6
Signed
Content Type
RPM
Test Gating
Builds
71
Settings
Unstable by Karma
-8
Dates
submitted
a year ago
in testing
a year ago
in stable
a year ago
modified
a year ago
BZ#1584240 Qt 5.11 Tracker
0
2
BZ#1591984 print dialog "advanced tab" missing in qt5/kf5 based applications
0
1
BZ#1611166 systemmonitor, ksysguard - failed apply last configuration
0
2
BZ#1626133 xdg-desktop-portal-kde-5.13.4-1.fc28.x86_64 causes updates problem
0
0
analitza-18.04.3-2.fc28
appmenu-qt5-0.3.0+16.10.20160628.1-10.fc28
calibre-3.29.0-1.fc28
deepin-qt5integration-0.2.8.3-5.fc28
deepin-tool-kit-0.3.3-8.fc28
dnscrypt-proxy-gui-1.11.15-2.fc28
dtkwidget-2.0.6.1-1.fc28.2
fcitx-qt5-1.2.3-2.fc28
gammaray-2.9.0-4.fc28
gsettings-qt-0-0.11.20170715bzr83.fc28.2
hedgewars-0.9.24.1-3.fc28
kf5-akonadi-server-18.04.3-2.fc28
kf5-frameworkintegration-5.48.0-2.fc28
kf5-kdeclarative-5.48.0-2.fc28
kf5-kwayland-5.48.0-2.fc28.1
kf5-kxmlgui-5.48.0-3.fc28
kwin-5.13.4-2.fc28
libfm-qt-0.11.2-12.fc28
libqtxdg-2.0.0-13.fc28
lxqt-qtplugin-0.11.1-12.fc28
mscore-2.2.1-4.fc28
plasma-integration-5.13.4-2.fc28
pyotherside-1.5.3-13.fc28
pythonqt-3.2-9.fc28
python-qt5-5.10.1-4.fc28
qgnomeplatform-0.4-2.fc28
qstardict-1.3-4.fc28
qt5-5.11.1-3.fc28
qt5ct-0.35-2.fc28
qt5-qt3d-5.11.1-2.fc28
qt5-qtbase-5.11.1-7.fc28
qt5-qtcanvas3d-5.11.1-2.fc28
qt5-qtcharts-5.11.1-4.fc28
qt5-qtconnectivity-5.11.1-2.fc28
qt5-qtdatavis3d-5.11.1-1.fc28
qt5-qtdeclarative-5.11.1-3.fc28
qt5-qtdoc-5.11.1-2.fc28
qt5-qtenginio-1.6.2-16.fc28
qt5-qtgamepad-5.11.1-3.fc28
qt5-qtgraphicaleffects-5.11.1-2.fc28
qt5-qtimageformats-5.11.1-2.fc28
qt5-qtlocation-5.11.1-3.fc28
qt5-qtmultimedia-5.11.1-2.fc28
qt5-qtquickcontrols2-5.11.1-2.fc28
qt5-qtquickcontrols-5.11.1-2.fc28
qt5-qtremoteobjects-5.11.1-3.fc28
qt5-qtscript-5.11.1-2.fc28
qt5-qtscxml-5.11.1-3.fc28
qt5-qtsensors-5.11.1-2.fc28
qt5-qtserialbus-5.11.1-3.fc28
qt5-qtserialport-5.11.1-2.fc28
qt5-qtspeech-5.11.1-2.fc28
qt5-qtstyleplugins-5.0.0-27.fc28
qt5-qtsvg-5.11.1-2.fc28
qt5-qttools-5.11.1-2.fc28
qt5-qttranslations-5.11.1-2.fc28
qt5-qtvirtualkeyboard-5.11.1-2.fc28
qt5-qtwayland-5.11.1-2.fc28
qt5-qtwebchannel-5.11.1-2.fc28
qt5-qtwebengine-5.11.1-4.fc28
qt5-qtwebkit-5.212.0-0.27.alpha2.fc28
qt5-qtwebsockets-5.11.1-2.fc28
qt5-qtwebview-5.11.1-3.fc28
qt5-qtx11extras-5.11.1-2.fc28
qt5-qtxmlpatterns-5.11.1-3.fc28
qt-creator-4.6.2-2.fc28
skrooge-2.14.0-1.fc28
texmaker-5.0.2-6.fc28
ugene-1.31.0-3.fc28
xdg-desktop-portal-kde-5.13.4-4.fc28
yarock-1.3.1-2.fc28

Automated Test Results